PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dgeqrf_Tile | ( | PLASMA_desc * | A,
|  | PLASMA_desc * | T
| ) |  |

PLASMA_dgeqrf_Tile - Computes the tile QR factorization of a matrix. Tile equivalent of PLASMA_dgeqrf(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in,out] | A | On entry, the M-by-N matrix A. On exit, the elements on and above the diagonal of the array contain the min(M,N)-by-N upper trapezoidal matrix R (R is upper triangular if M >= N); the elements below the diagonal represent the unitary matrix Q as a product of elementary reflectors stored by tiles.
  [out] | T | On exit, auxiliary factorization data, required by PLASMA_dgeqrs to solve the system of equations.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_dgeqrf
  PLASMA_dgeqrf_Tile_Async
  PLASMA_cgeqrf_Tile
  PLASMA_dgeqrf_Tile
  PLASMA_sgeqrf_Tile
  PLASMA_dgeqrs_Tile